Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvbtn

## Specification of methods

### onActivate method

Form
  void onActivate()
Function
  It executes this method when the button is pushed.
Description
  Instead of the event procedure by the WSEV_ACTIVATE trigger, the WSEV_ACTIVATE event can be handled by overloading of this method.
Parameters
  None.
Return value
  None.
Notice
  If needed, overload this method on the sub classes.
Samples

      void new_class::onActivate(){
        //do something when the button is pressed.

        //call the method of the parent class.
        old_class::onActivate();
      }

### setDrawFocusBorder method

Form
  void setDrawFocusBorder(WSCbool fl)
Function
  Specify the attribute whether painting the keyboard focused border under being focused.
Description
  No keyboard focus border is painted if False is specified.
Parameters

  (in)WSCbool fl | Paint the focus border attribute

Return value
  None.
Samples

        //to draw no focus border.
        newvbtn_000->setDrawFocusBorder(False);

Notice

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004